System.Web 2.0.0.0 System.Enum

The enumeration indicates the success or failure of an attempt to create a new user. If the operation fails, the enumeration describes the cause of the failure.

If you are not familiar with the membership features of ASP.NET, see Introduction to Membership before continuing. For a list of other topics related to membership, see Managing Users By Using Membership.

If you use a method overload that does not specify an output parameter of type , an unsuccessful attempt to create a new user throws a with the property set to one of the enumeration values.

Describes the result of a operation.

- Field
  System.Web.Security.MembershipCreateStatus

  The e-mail address already exists in the database for the application.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The provider user key already exists in the database for the application.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The user name already exists in the database for the application.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The password answer is not formatted correctly.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The e-mail address is not formatted correctly.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The password is not formatted correctly.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The provider user key is of an invalid type or format.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The password question is not formatted correctly.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The user name was not found in the database.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The provider returned an error that is not described by other enumeration values.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The user was successfully created.

  2.0.0.0
- Field
  System.Web.Security.MembershipCreateStatus

  The user was not created, for a reason defined by the provider.

  2.0.0.0